Summary:	a modular network filter for postfix
Name:		clapf
Version:	0.4.2
Release:	0.3.art
License:	zlib/png
Group:		Networking/Mail
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	clapf.conf
Patch1:		configure.patch
Patch2:		Makefile.patch
URL:		http://clapf.acts.hu/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	mysql-devel >= 5.0, clamav-devel, clamd, mysql
# temp fix for its include path problems
BuildRequires:  clapf
#BuildRequires:  gsl-devel
Requires:	mysql >= 5.0, clamav, postfix, spamassassin


%description
clapf is a modular network filter for postfix. It includes a statisti-
cal (inverse chi-square) antispam module, the  blackhole  feature  and
antivirus support (clamav, AVG Linux, Dr.Web, avast! and Kasperky) pre
venting virus infection as well as a cgi and a command line  interface
to easily train the token database.


%prep


%setup -q 
%patch1 -p 0
%patch2 -p 0

%build
# --enable-libclamav (lots of memory)

%{configure} \
	--prefix=/usr \
	--enable-clamd \
	--enable-spamc-emul \
	--with-userdb=mysql \
	--with-clapf-user=clapf 

%{__make}
# bugfixes
touch TRAINING blackhole


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/%{_sysconfdir}/init.d/
mkdir -p %{buildroot}%{_localstatedir}/spool/clapf/quarantine
mkdir -p %{buildroot}%{_localstatedir}/spool/clapf/spamquarantine
mkdir -p %{buildroot}%{_localstatedir}/spool/clapf/tmp
mkdir -p %{buildroot}%{_localstatedir}/run/lapf/
mkdir -p %{buildroot}%{_localstatedir}/lib/clapf/

install -m 755 %{SOURCE1} %{buildroot}/etc/init.d/%{name}
install -m 644 %{SOURCE2} %{buildroot}/etc/%{name}.conf

make install DESTDIR=%{buildroot}


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 


%pre
/usr/sbin/groupadd -r clapf 2>/dev/null || :
/usr/sbin/useradd -r -d /var/spool/clapf -s /sbin/nologin -c "Clapf Antispam" -g clapf clapf 2>/dev/null || :


%post
/sbin/chkconfig --add clapf

# TODO this should be in a trigger, or separate package
# need to add  to /etc/postfix/main.cf
if  ! grep -q smtp.*10125 /etc/postfix/main.cf ; then
  echo "content_filter=smtp:[127.0.0.1]:10125" >> /etc/postfix/main.cf
fi

# need to add to /etc/postfix/master.cf
if  ! grep -q 10126.*inet /etc/postfix/master.cf ; then 
  echo "127.0.0.1:10126     inet  n      -      n      -      10      smtpd -o content_filter= -o receive_override_options=no_unknown_recipient_checks,no_header_body_checks,no_milters -o smtpd_helo_restrictions= -o smtpd_client_restrictions= -o smtpd_sender_restrictions= -o smtpd_recipient_restrictions=permit_mynetworks,reject -o mynetworks=127.0.0.0/8 -o smtpd_authorized_xforward_hosts=127.0.0.0/8" >> /etc/postfix/master.cf
fi

%preun
if [ $1 -eq 0 ]; then
        /sbin/service clapf stop &>/dev/null || :
        /sbin/chkconfig --del clapf
fi

%postun
if [ $1 -eq 0 ]; then
  if grep smtp.*10125 /etc/postfix/main.cf; then
    perl -p -i -e "s[^content_filter.*10125.*][]" /etc/postfix/main.cf
  fi
  if grep 10126.*inet /etc/postfix/master.cf; then
    perl -p -i -e "s[^127.*10126.*][]" /etc/postfix/master.cf
  fi
fi




%files
%defattr(-,root,root)
%doc README LICENSE Changelog blackhole perl stat TRAINING util
%config %attr(0644,root,root) /etc/%{name}.conf
%attr(0755,root,root) /etc/init.d/clapf
#%attr(0644,root,root) %{_mandir}
%dir %attr(0711,clapf,clapf) /var/spool/clapf
%dir %attr(0751,clapf,clapf) /var/spool/clapf/quarantine
%dir %attr(0751,clapf,clapf) /var/spool/clapf/tmp
%dir %attr(0770,clapf,apache) /var/spool/clapf/spamquarantine
%attr(0755,root,root) %{_bindir}
%attr(0755,root,root) %{_sbindir}/clapf
%{_libdir}/libclapf.*
%{_libexecdir}/clapf
/usr/share/clapf

# well need a -devel package 
%{_includedir}/clapf



%changelog
* Tue Oct 20 2009 Scott R. Shinn <scott@atomicorp.com> - 0.4.2-0.3
- Add Policy (per user settings) support 

* Sat Oct 17 2009 Scott R. Shinn <scott@atomicorp.com> - 0.4.2-0.2
- Bugfix for missing init script

* Fri Oct 16 2009 Scott R. Shinn <scott@atomicorp.com> - 0.4.2-0.1
- Update to 0.4.2
- Much tweaking to get it to build in mock


* Thu May 25 2006 Tim Philips <timp@thetimp.co.nz> - 0.3.26-1
- Rebuilt with updated version.
- Require openldap-devel
- Enable SURBL

* Thu May 18 2006 Tim Philips <timp@thetimp.co.nz> - 0.3.25-1
- First build
